import 'package:flyinsono/js_platform/methods.dart';
import 'package:flyinsono/managers/interfaces/local_rtmp.dart';
import 'package:get/get.dart';
import 'package:fis_common/logger/logger.dart';
import 'base.dart';

class PullUrlNotificationHandler extends MethodHandlerBase {
  PullUrlNotificationHandler() : super(TargetMethodName.PullUrlNotification);
  @override
  void execute(List<String> args) {
    var url = args[0];
    Get.find<ILocalRtmpManager>().onPullUrlNotificationHandler.emit(this, url);
    print('拉流地址：$url');
    logger.i('拉流地址：$url');
  }
}
